package com.example.asus.myfirstgame;

import android.graphics.Rect;

public abstract class GameObject {

    protected float x;
    protected float y;
    protected float dy;
    protected float dx;
    protected int width;
    protected int height;

    public void setDx(float dx) {
        this.dx = dx;
    }

    public void setDy(float dy) {
        this.dy = dy;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public void setX(float x) {
        this.x = x;
    }

    public void setY(float y) {
        this.y = y;
    }

    public float getDx(){
        return dx;
    }

    public float getDy() {
        return dy;
    }

    public int getHeight() {
        return height;
    }

    public int getWidth() {
        return width;
    }

    public float getX() {
        return x;
    }

    public float getY() {
        return y;
    }

    public Rect getRectangle(){
        return new Rect((int)x, (int)y, (int)(x+width), (int)(y+height));
        //return new Rect();
    }
}
